# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2002-2019 Free Software Foundation, Inc.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file.  If not, see <https://www.gnu.org/licenses/>.
#
# As a special exception to the GNU General Public License,
# this file may be distributed as part of a program that
# contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.



VPATH = ../.././../libtextstyle/tests
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libtextstyle
pkgincludedir = $(includedir)/libtextstyle
pkglibdir = $(libdir)/libtextstyle
pkglibexecdir = $(libexecdir)/libtextstyle
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i786-pc-msdosdjgpp
host_triplet = i786-pc-msdosdjgpp
XFAIL_TESTS =
noinst_PROGRAMS =
check_PROGRAMS = test-term-ostream$(EXEEXT)
EXTRA_PROGRAMS =
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/gnulib-m4/00gnulib.m4 \
	$(top_srcdir)/gnulib-m4/absolute-header.m4 \
	$(top_srcdir)/gnulib-m4/alloca.m4 \
	$(top_srcdir)/gnulib-m4/check-math-lib.m4 \
	$(top_srcdir)/gnulib-m4/close.m4 \
	$(top_srcdir)/gnulib-m4/curses.m4 \
	$(top_srcdir)/gnulib-m4/dirname.m4 \
	$(top_srcdir)/gnulib-m4/double-slash-root.m4 \
	$(top_srcdir)/gnulib-m4/errno_h.m4 \
	$(top_srcdir)/gnulib-m4/error.m4 \
	$(top_srcdir)/gnulib-m4/exponentd.m4 \
	$(top_srcdir)/gnulib-m4/exponentf.m4 \
	$(top_srcdir)/gnulib-m4/exponentl.m4 \
	$(top_srcdir)/gnulib-m4/extensions.m4 \
	$(top_srcdir)/gnulib-m4/extern-inline.m4 \
	$(top_srcdir)/gnulib-m4/fabs.m4 \
	$(top_srcdir)/gnulib-m4/fatal-signal.m4 \
	$(top_srcdir)/gnulib-m4/fcntl-o.m4 \
	$(top_srcdir)/gnulib-m4/fcntl_h.m4 \
	$(top_srcdir)/gnulib-m4/float_h.m4 \
	$(top_srcdir)/gnulib-m4/fpieee.m4 \
	$(top_srcdir)/gnulib-m4/fsync.m4 \
	$(top_srcdir)/gnulib-m4/getprogname.m4 \
	$(top_srcdir)/gnulib-m4/gnulib-common.m4 \
	$(top_srcdir)/gnulib-m4/gnulib-comp.m4 \
	$(top_srcdir)/gnulib-m4/host-cpu-c-abi.m4 \
	$(top_srcdir)/gnulib-m4/iconv.m4 \
	$(top_srcdir)/gnulib-m4/include_next.m4 \
	$(top_srcdir)/gnulib-m4/inline.m4 \
	$(top_srcdir)/gnulib-m4/intmax_t.m4 \
	$(top_srcdir)/gnulib-m4/inttypes_h.m4 \
	$(top_srcdir)/gnulib-m4/isatty.m4 \
	$(top_srcdir)/gnulib-m4/isinf.m4 \
	$(top_srcdir)/gnulib-m4/isnan.m4 \
	$(top_srcdir)/gnulib-m4/isnand.m4 \
	$(top_srcdir)/gnulib-m4/isnanf.m4 \
	$(top_srcdir)/gnulib-m4/isnanl.m4 \
	$(top_srcdir)/gnulib-m4/lib-ld.m4 \
	$(top_srcdir)/gnulib-m4/lib-link.m4 \
	$(top_srcdir)/gnulib-m4/lib-prefix.m4 \
	$(top_srcdir)/gnulib-m4/libcroco.m4 \
	$(top_srcdir)/gnulib-m4/libglib.m4 \
	$(top_srcdir)/gnulib-m4/libunistring-base.m4 \
	$(top_srcdir)/gnulib-m4/libxml.m4 \
	$(top_srcdir)/gnulib-m4/limits-h.m4 \
	$(top_srcdir)/gnulib-m4/log10.m4 \
	$(top_srcdir)/gnulib-m4/longlong.m4 \
	$(top_srcdir)/gnulib-m4/malloc.m4 \
	$(top_srcdir)/gnulib-m4/math_h.m4 \
	$(top_srcdir)/gnulib-m4/mathfunc.m4 \
	$(top_srcdir)/gnulib-m4/memchr.m4 \
	$(top_srcdir)/gnulib-m4/minmax.m4 \
	$(top_srcdir)/gnulib-m4/mmap-anon.m4 \
	$(top_srcdir)/gnulib-m4/moo.m4 \
	$(top_srcdir)/gnulib-m4/msvc-inval.m4 \
	$(top_srcdir)/gnulib-m4/msvc-nothrow.m4 \
	$(top_srcdir)/gnulib-m4/multiarch.m4 \
	$(top_srcdir)/gnulib-m4/no-c++.m4 \
	$(top_srcdir)/gnulib-m4/obstack.m4 \
	$(top_srcdir)/gnulib-m4/off_t.m4 \
	$(top_srcdir)/gnulib-m4/pow.m4 \
	$(top_srcdir)/gnulib-m4/printf.m4 \
	$(top_srcdir)/gnulib-m4/raise.m4 \
	$(top_srcdir)/gnulib-m4/read.m4 \
	$(top_srcdir)/gnulib-m4/safe-read.m4 \
	$(top_srcdir)/gnulib-m4/safe-write.m4 \
	$(top_srcdir)/gnulib-m4/sig_atomic_t.m4 \
	$(top_srcdir)/gnulib-m4/sigaction.m4 \
	$(top_srcdir)/gnulib-m4/signal_h.m4 \
	$(top_srcdir)/gnulib-m4/signalblocking.m4 \
	$(top_srcdir)/gnulib-m4/signbit.m4 \
	$(top_srcdir)/gnulib-m4/size_max.m4 \
	$(top_srcdir)/gnulib-m4/snprintf.m4 \
	$(top_srcdir)/gnulib-m4/ssize_t.m4 \
	$(top_srcdir)/gnulib-m4/stdarg.m4 \
	$(top_srcdir)/gnulib-m4/stdbool.m4 \
	$(top_srcdir)/gnulib-m4/stddef_h.m4 \
	$(top_srcdir)/gnulib-m4/stdint.m4 \
	$(top_srcdir)/gnulib-m4/stdint_h.m4 \
	$(top_srcdir)/gnulib-m4/stdio_h.m4 \
	$(top_srcdir)/gnulib-m4/stdlib_h.m4 \
	$(top_srcdir)/gnulib-m4/stpcpy.m4 \
	$(top_srcdir)/gnulib-m4/strerror.m4 \
	$(top_srcdir)/gnulib-m4/string_h.m4 \
	$(top_srcdir)/gnulib-m4/sys_socket_h.m4 \
	$(top_srcdir)/gnulib-m4/sys_types_h.m4 \
	$(top_srcdir)/gnulib-m4/term-ostream.m4 \
	$(top_srcdir)/gnulib-m4/terminfo.m4 \
	$(top_srcdir)/gnulib-m4/unistd_h.m4 \
	$(top_srcdir)/gnulib-m4/vasnprintf.m4 \
	$(top_srcdir)/gnulib-m4/vasprintf.m4 \
	$(top_srcdir)/gnulib-m4/vsnprintf.m4 \
	$(top_srcdir)/gnulib-m4/warn-on-use.m4 \
	$(top_srcdir)/gnulib-m4/wchar_h.m4 \
	$(top_srcdir)/gnulib-m4/wchar_t.m4 \
	$(top_srcdir)/gnulib-m4/wint_t.m4 \
	$(top_srcdir)/gnulib-m4/write.m4 \
	$(top_srcdir)/gnulib-m4/xsize.m4 \
	$(top_srcdir)/gnulib-m4/xvasprintf.m4 \
	$(top_srcdir)/m4/exported.m4 \
	$(top_srcdir)/m4/init-package-version.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/woe32-dll.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
LIBRARIES = $(noinst_LIBRARIES)
AM_V_AR = $(am__v_AR_$(V))
am__v_AR_ = $(am__v_AR_$(AM_DEFAULT_VERBOSITY))
am__v_AR_0 = @echo "  AR      " $@;
am__v_AR_1 = 
libtests_a_AR = $(AR) $(ARFLAGS)
am__DEPENDENCIES_1 =
am_libtests_a_OBJECTS = dummy.$(OBJEXT)
libtests_a_OBJECTS = $(am_libtests_a_OBJECTS)
test_term_ostream_SOURCES = test-term-ostream.c
test_term_ostream_OBJECTS = test-term-ostream.$(OBJEXT)
am__DEPENDENCIES_2 = libtests.a ../lib/libtextstyle.la libtests.a \
	$(am__DEPENDENCIES_1)
test_term_ostream_DEPENDENCIES = $(am__DEPENDENCIES_2)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/dummy.Po \
	./$(DEPDIR)/test-term-ostream.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libtests_a_SOURCES) $(EXTRA_libtests_a_SOURCES) \
	test-term-ostream.c
DIST_SOURCES = $(libtests_a_SOURCES) $(EXTRA_libtests_a_SOURCES) \
	test-term-ostream.c
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	check recheck distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS = .exe .test
LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.exe.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.gnulib $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp \
	$(top_srcdir)/build-aux/test-driver
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} .././../libtextstyle/build-aux/missing aclocal-1.16
ALLOCA = 
ALLOCA_H = alloca.h
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APPLE_UNIVERSAL_BUILD = 0
AR = /dev/env/DJDIR/bin/ar
ARFLAGS = cr
AS = as
AUTOCONF = ${SHELL} .././../libtextstyle/build-aux/missing autoconf
AUTOHEADER = ${SHELL} .././../libtextstyle/build-aux/missing autoheader
AUTOMAKE = ${SHELL} .././../libtextstyle/build-aux/missing automake-1.16
AWK = gawk
BITSIZEOF_PTRDIFF_T = 32
BITSIZEOF_SIG_ATOMIC_T = 32
BITSIZEOF_SIZE_T = 32
BITSIZEOF_WCHAR_T = 16
BITSIZEOF_WINT_T = 32
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g2 -O2 -std=gnu99 -march=i386 -mtune=i586
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
ifeq ($(MAKE_DXE3), y)
DXE3_DEFS = -DMAKE_DXE3
endif
DEFS = $(DXE3_DEFS) -DHAVE_CONFIG_H
DEPDIR = _deps
DLLTOOL = false
DLL_VARIABLE = 
DSYMUTIL = 
DUMPBIN = 
DVIPS = dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /dev/env/DJDIR/bin/egrep
EMULTIHOP_HIDDEN = 0
EMULTIHOP_VALUE = 
ENOLINK_HIDDEN = 0
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 0
EOVERFLOW_VALUE = 
ERRNO_H = errno.h
EXEEXT = .exe
FABS_LIBM = 
FGREP = /dev/env/DJDIR/bin/fgrep
FLOAT_H = 
GLOBAL_SYMBOL_PIPE = sed -n -e 's/^.*[	 ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*_\([_A-Za-z][_A-Za-z0-9]*\)$/\1 _\2 \2/p' | sed '/ __gnu_lto/d'
GNULIB_ACOSF = 0
GNULIB_ACOSL = 0
GNULIB_ASINF = 0
GNULIB_ASINL = 0
GNULIB_ATAN2F = 0
GNULIB_ATANF = 0
GNULIB_ATANL = 0
GNULIB_ATOLL = 0
GNULIB_BTOWC = 0
GNULIB_CALLOC_POSIX = 0
GNULIB_CANONICALIZE_FILE_NAME = 0
GNULIB_CBRT = 0
GNULIB_CBRTF = 0
GNULIB_CBRTL = 0
GNULIB_CEIL = 0
GNULIB_CEILF = 0
GNULIB_CEILL = 0
GNULIB_CHDIR = 0
GNULIB_CHOWN = 0
GNULIB_CLOSE = 1
GNULIB_COPYSIGN = 0
GNULIB_COPYSIGNF = 0
GNULIB_COPYSIGNL = 0
GNULIB_COSF = 0
GNULIB_COSHF = 0
GNULIB_COSL = 0
GNULIB_DPRINTF = 0
GNULIB_DUP = 0
GNULIB_DUP2 = 0
GNULIB_DUP3 = 0
GNULIB_ENVIRON = 0
GNULIB_EUIDACCESS = 0
GNULIB_EXP2 = 0
GNULIB_EXP2F = 0
GNULIB_EXP2L = 0
GNULIB_EXPF = 0
GNULIB_EXPL = 0
GNULIB_EXPLICIT_BZERO = 0
GNULIB_EXPM1 = 0
GNULIB_EXPM1F = 0
GNULIB_EXPM1L = 0
GNULIB_FABSF = 0
GNULIB_FABSL = 0
GNULIB_FACCESSAT = 0
GNULIB_FCHDIR = 0
GNULIB_FCHOWNAT = 0
GNULIB_FCLOSE = 0
GNULIB_FCNTL = 0
GNULIB_FDATASYNC = 0
GNULIB_FDOPEN = 0
GNULIB_FFLUSH = 0
GNULIB_FFSL = 0
GNULIB_FFSLL = 0
GNULIB_FGETC = 1
GNULIB_FGETS = 1
GNULIB_FLOOR = 0
GNULIB_FLOORF = 0
GNULIB_FLOORL = 0
GNULIB_FMA = 0
GNULIB_FMAF = 0
GNULIB_FMAL = 0
GNULIB_FMOD = 0
GNULIB_FMODF = 0
GNULIB_FMODL = 0
GNULIB_FOPEN = 0
GNULIB_FPRINTF = 1
GNULIB_FPRINTF_POSIX = 0
GNULIB_FPURGE = 0
GNULIB_FPUTC = 1
GNULIB_FPUTS = 1
GNULIB_FREAD = 1
GNULIB_FREOPEN = 0
GNULIB_FREXP = 0
GNULIB_FREXPF = 0
GNULIB_FREXPL = 0
GNULIB_FSCANF = 1
GNULIB_FSEEK = 0
GNULIB_FSEEKO = 0
GNULIB_FSYNC = 1
GNULIB_FTELL = 0
GNULIB_FTELLO = 0
GNULIB_FTRUNCATE = 0
GNULIB_FWRITE = 1
GNULIB_GETC = 1
GNULIB_GETCHAR = 1
GNULIB_GETCWD = 0
GNULIB_GETDELIM = 0
GNULIB_GETDOMAINNAME = 0
GNULIB_GETDTABLESIZE = 0
GNULIB_GETGROUPS = 0
GNULIB_GETHOSTNAME = 0
GNULIB_GETLINE = 0
GNULIB_GETLOADAVG = 0
GNULIB_GETLOGIN = 0
GNULIB_GETLOGIN_R = 0
GNULIB_GETPAGESIZE = 0
GNULIB_GETPASS = 0
GNULIB_GETSUBOPT = 0
GNULIB_GETUSERSHELL = 0
GNULIB_GRANTPT = 0
GNULIB_GROUP_MEMBER = 0
GNULIB_HYPOT = 0
GNULIB_HYPOTF = 0
GNULIB_HYPOTL = 0
GNULIB_ILOGB = 0
GNULIB_ILOGBF = 0
GNULIB_ILOGBL = 0
GNULIB_ISATTY = 0
GNULIB_ISFINITE = 0
GNULIB_ISINF = 1
GNULIB_ISNAN = 1
GNULIB_ISNAND = 1
GNULIB_ISNANF = 1
GNULIB_ISNANL = 1
GNULIB_LCHOWN = 0
GNULIB_LDEXPF = 0
GNULIB_LDEXPL = 0
GNULIB_LINK = 0
GNULIB_LINKAT = 0
GNULIB_LOG = 0
GNULIB_LOG10 = 1
GNULIB_LOG10F = 0
GNULIB_LOG10L = 0
GNULIB_LOG1P = 0
GNULIB_LOG1PF = 0
GNULIB_LOG1PL = 0
GNULIB_LOG2 = 0
GNULIB_LOG2F = 0
GNULIB_LOG2L = 0
GNULIB_LOGB = 0
GNULIB_LOGBF = 0
GNULIB_LOGBL = 0
GNULIB_LOGF = 0
GNULIB_LOGL = 0
GNULIB_LSEEK = 0
GNULIB_MALLOC_POSIX = 1
GNULIB_MBRLEN = 0
GNULIB_MBRTOWC = 0
GNULIB_MBSCASECMP = 0
GNULIB_MBSCASESTR = 0
GNULIB_MBSCHR = 0
GNULIB_MBSCSPN = 0
GNULIB_MBSINIT = 0
GNULIB_MBSLEN = 0
GNULIB_MBSNCASECMP = 0
GNULIB_MBSNLEN = 0
GNULIB_MBSNRTOWCS = 0
GNULIB_MBSPBRK = 0
GNULIB_MBSPCASECMP = 0
GNULIB_MBSRCHR = 0
GNULIB_MBSRTOWCS = 0
GNULIB_MBSSEP = 0
GNULIB_MBSSPN = 0
GNULIB_MBSSTR = 0
GNULIB_MBSTOK_R = 0
GNULIB_MBTOWC = 0
GNULIB_MEMCHR = 1
GNULIB_MEMMEM = 0
GNULIB_MEMPCPY = 0
GNULIB_MEMRCHR = 0
GNULIB_MKDTEMP = 0
GNULIB_MKOSTEMP = 0
GNULIB_MKOSTEMPS = 0
GNULIB_MKSTEMP = 0
GNULIB_MKSTEMPS = 0
GNULIB_MODF = 0
GNULIB_MODFF = 0
GNULIB_MODFL = 0
GNULIB_NONBLOCKING = 0
GNULIB_OBSTACK_PRINTF = 0
GNULIB_OBSTACK_PRINTF_POSIX = 0
GNULIB_OPEN = 0
GNULIB_OPENAT = 0
GNULIB_OVERRIDES_WINT_T = 0
GNULIB_PCLOSE = 0
GNULIB_PERROR = 0
GNULIB_PIPE = 0
GNULIB_PIPE2 = 0
GNULIB_POPEN = 0
GNULIB_POSIX_OPENPT = 0
GNULIB_POWF = 0
GNULIB_PREAD = 0
GNULIB_PRINTF = 1
GNULIB_PRINTF_POSIX = 0
GNULIB_PTHREAD_SIGMASK = 0
GNULIB_PTSNAME = 0
GNULIB_PTSNAME_R = 0
GNULIB_PUTC = 1
GNULIB_PUTCHAR = 1
GNULIB_PUTENV = 0
GNULIB_PUTS = 1
GNULIB_PWRITE = 0
GNULIB_QSORT_R = 0
GNULIB_RAISE = 1
GNULIB_RANDOM = 0
GNULIB_RANDOM_R = 0
GNULIB_RAWMEMCHR = 0
GNULIB_READ = 1
GNULIB_READLINK = 0
GNULIB_READLINKAT = 0
GNULIB_REALLOCARRAY = 0
GNULIB_REALLOC_POSIX = 0
GNULIB_REALPATH = 0
GNULIB_REMAINDER = 0
GNULIB_REMAINDERF = 0
GNULIB_REMAINDERL = 0
GNULIB_REMOVE = 0
GNULIB_RENAME = 0
GNULIB_RENAMEAT = 0
GNULIB_RINT = 0
GNULIB_RINTF = 0
GNULIB_RINTL = 0
GNULIB_RMDIR = 0
GNULIB_ROUND = 0
GNULIB_ROUNDF = 0
GNULIB_ROUNDL = 0
GNULIB_RPMATCH = 0
GNULIB_SCANF = 1
GNULIB_SECURE_GETENV = 0
GNULIB_SETENV = 0
GNULIB_SETHOSTNAME = 0
GNULIB_SIGACTION = 1
GNULIB_SIGNAL_H_SIGPIPE = 0
GNULIB_SIGNBIT = 1
GNULIB_SIGPROCMASK = 1
GNULIB_SINF = 0
GNULIB_SINHF = 0
GNULIB_SINL = 0
GNULIB_SLEEP = 0
GNULIB_SNPRINTF = 1
GNULIB_SPRINTF_POSIX = 0
GNULIB_SQRTF = 0
GNULIB_SQRTL = 0
GNULIB_STDIO_H_NONBLOCKING = 0
GNULIB_STDIO_H_SIGPIPE = 0
GNULIB_STPCPY = 1
GNULIB_STPNCPY = 0
GNULIB_STRCASESTR = 0
GNULIB_STRCHRNUL = 0
GNULIB_STRDUP = 0
GNULIB_STRERROR = 1
GNULIB_STRERROR_R = 0
GNULIB_STRNCAT = 0
GNULIB_STRNDUP = 0
GNULIB_STRNLEN = 0
GNULIB_STRPBRK = 0
GNULIB_STRSEP = 0
GNULIB_STRSIGNAL = 0
GNULIB_STRSTR = 0
GNULIB_STRTOD = 0
GNULIB_STRTOK_R = 0
GNULIB_STRTOLD = 0
GNULIB_STRTOLL = 0
GNULIB_STRTOULL = 0
GNULIB_STRVERSCMP = 0
GNULIB_SYMLINK = 0
GNULIB_SYMLINKAT = 0
GNULIB_SYSTEM_POSIX = 0
GNULIB_TANF = 0
GNULIB_TANHF = 0
GNULIB_TANL = 0
GNULIB_TMPFILE = 0
GNULIB_TRUNC = 0
GNULIB_TRUNCATE = 0
GNULIB_TRUNCF = 0
GNULIB_TRUNCL = 0
GNULIB_TTYNAME_R = 0
GNULIB_UNISTD_H_NONBLOCKING = 0
GNULIB_UNISTD_H_SIGPIPE = 0
GNULIB_UNLINK = 0
GNULIB_UNLINKAT = 0
GNULIB_UNLOCKPT = 0
GNULIB_UNSETENV = 0
GNULIB_USLEEP = 0
GNULIB_VASPRINTF = 1
GNULIB_VDPRINTF = 0
GNULIB_VFPRINTF = 1
GNULIB_VFPRINTF_POSIX = 0
GNULIB_VFSCANF = 0
GNULIB_VPRINTF = 1
GNULIB_VPRINTF_POSIX = 0
GNULIB_VSCANF = 0
GNULIB_VSNPRINTF = 1
GNULIB_VSPRINTF_POSIX = 0
GNULIB_WCPCPY = 0
GNULIB_WCPNCPY = 0
GNULIB_WCRTOMB = 0
GNULIB_WCSCASECMP = 0
GNULIB_WCSCAT = 0
GNULIB_WCSCHR = 0
GNULIB_WCSCMP = 0
GNULIB_WCSCOLL = 0
GNULIB_WCSCPY = 0
GNULIB_WCSCSPN = 0
GNULIB_WCSDUP = 0
GNULIB_WCSFTIME = 0
GNULIB_WCSLEN = 0
GNULIB_WCSNCASECMP = 0
GNULIB_WCSNCAT = 0
GNULIB_WCSNCMP = 0
GNULIB_WCSNCPY = 0
GNULIB_WCSNLEN = 0
GNULIB_WCSNRTOMBS = 0
GNULIB_WCSPBRK = 0
GNULIB_WCSRCHR = 0
GNULIB_WCSRTOMBS = 0
GNULIB_WCSSPN = 0
GNULIB_WCSSTR = 0
GNULIB_WCSTOK = 0
GNULIB_WCSWIDTH = 0
GNULIB_WCSXFRM = 0
GNULIB_WCTOB = 0
GNULIB_WCTOMB = 0
GNULIB_WCWIDTH = 0
GNULIB_WMEMCHR = 0
GNULIB_WMEMCMP = 0
GNULIB_WMEMCPY = 0
GNULIB_WMEMMOVE = 0
GNULIB_WMEMSET = 0
GNULIB_WRITE = 1
GNULIB__EXIT = 0
GREP = /dev/env/DJDIR/bin/grep
HAVE_ACOSF = 1
HAVE_ACOSL = 1
HAVE_ASINF = 1
HAVE_ASINL = 1
HAVE_ATAN2F = 1
HAVE_ATANF = 1
HAVE_ATANL = 1
HAVE_ATOLL = 1
HAVE_BTOWC = 1
HAVE_C99_STDINT_H = 0
HAVE_CANONICALIZE_FILE_NAME = 1
HAVE_CBRT = 1
HAVE_CBRTF = 1
HAVE_CBRTL = 1
HAVE_CHOWN = 1
HAVE_COPYSIGN = 1
HAVE_COPYSIGNL = 1
HAVE_COSF = 1
HAVE_COSHF = 1
HAVE_COSL = 1
HAVE_CRTDEFS_H = 0
HAVE_DECL_ACOSL = 1
HAVE_DECL_ASINL = 1
HAVE_DECL_ATANL = 1
HAVE_DECL_CBRTF = 1
HAVE_DECL_CBRTL = 1
HAVE_DECL_CEILF = 1
HAVE_DECL_CEILL = 1
HAVE_DECL_COPYSIGNF = 1
HAVE_DECL_COSL = 1
HAVE_DECL_ENVIRON = 1
HAVE_DECL_EXP2 = 1
HAVE_DECL_EXP2F = 1
HAVE_DECL_EXP2L = 1
HAVE_DECL_EXPL = 1
HAVE_DECL_EXPM1L = 1
HAVE_DECL_FCHDIR = 1
HAVE_DECL_FDATASYNC = 1
HAVE_DECL_FLOORF = 1
HAVE_DECL_FLOORL = 1
HAVE_DECL_FPURGE = 1
HAVE_DECL_FREXPL = 1
HAVE_DECL_FSEEKO = 1
HAVE_DECL_FTELLO = 1
HAVE_DECL_GETDELIM = 1
HAVE_DECL_GETDOMAINNAME = 1
HAVE_DECL_GETLINE = 1
HAVE_DECL_GETLOADAVG = 1
HAVE_DECL_GETLOGIN = 1
HAVE_DECL_GETLOGIN_R = 1
HAVE_DECL_GETPAGESIZE = 1
HAVE_DECL_GETUSERSHELL = 1
HAVE_DECL_INITSTATE = 1
HAVE_DECL_LDEXPL = 1
HAVE_DECL_LOG10L = 1
HAVE_DECL_LOG2 = 1
HAVE_DECL_LOG2F = 1
HAVE_DECL_LOG2L = 1
HAVE_DECL_LOGB = 1
HAVE_DECL_LOGL = 1
HAVE_DECL_MEMMEM = 1
HAVE_DECL_MEMRCHR = 1
HAVE_DECL_OBSTACK_PRINTF = 1
HAVE_DECL_REMAINDER = 1
HAVE_DECL_REMAINDERL = 1
HAVE_DECL_RINTF = 1
HAVE_DECL_ROUND = 1
HAVE_DECL_ROUNDF = 1
HAVE_DECL_ROUNDL = 1
HAVE_DECL_SETENV = 1
HAVE_DECL_SETHOSTNAME = 1
HAVE_DECL_SETSTATE = 1
HAVE_DECL_SINL = 1
HAVE_DECL_SNPRINTF = 1
HAVE_DECL_SQRTL = 1
HAVE_DECL_STRDUP = 1
HAVE_DECL_STRERROR_R = 1
HAVE_DECL_STRNDUP = 1
HAVE_DECL_STRNLEN = 1
HAVE_DECL_STRSIGNAL = 1
HAVE_DECL_STRTOK_R = 1
HAVE_DECL_TANL = 1
HAVE_DECL_TRUNC = 1
HAVE_DECL_TRUNCATE = 1
HAVE_DECL_TRUNCF = 1
HAVE_DECL_TRUNCL = 1
HAVE_DECL_TTYNAME_R = 1
HAVE_DECL_UNSETENV = 1
HAVE_DECL_VSNPRINTF = 1
HAVE_DECL_WCTOB = 1
HAVE_DECL_WCWIDTH = 1
HAVE_DPRINTF = 1
HAVE_DUP2 = 1
HAVE_DUP3 = 1
HAVE_EUIDACCESS = 1
HAVE_EXPF = 1
HAVE_EXPL = 1
HAVE_EXPLICIT_BZERO = 1
HAVE_EXPM1 = 1
HAVE_EXPM1F = 1
HAVE_FABSF = 1
HAVE_FABSL = 1
HAVE_FACCESSAT = 1
HAVE_FCHDIR = 1
HAVE_FCHOWNAT = 1
HAVE_FCNTL = 1
HAVE_FDATASYNC = 1
HAVE_FEATURES_H = 0
HAVE_FFSL = 1
HAVE_FFSLL = 1
HAVE_FMA = 1
HAVE_FMAF = 1
HAVE_FMAL = 1
HAVE_FMODF = 1
HAVE_FMODL = 1
HAVE_FREXPF = 1
HAVE_FSEEKO = 1
HAVE_FSYNC = 1
HAVE_FTELLO = 1
HAVE_FTRUNCATE = 1
HAVE_GETDTABLESIZE = 1
HAVE_GETGROUPS = 1
HAVE_GETHOSTNAME = 1
HAVE_GETLOGIN = 1
HAVE_GETPAGESIZE = 1
HAVE_GETPASS = 1
HAVE_GETSUBOPT = 1
HAVE_GLOBAL_SYMBOL_PIPE = 1
HAVE_GRANTPT = 1
HAVE_GROUP_MEMBER = 1
HAVE_HYPOTF = 1
HAVE_HYPOTL = 1
HAVE_ICONV = 1
HAVE_ILOGB = 1
HAVE_ILOGBF = 1
HAVE_ILOGBL = 1
HAVE_INITSTATE = 1
HAVE_INTTYPES_H = 1
HAVE_ISNAND = 1
HAVE_ISNANF = 1
HAVE_ISNANL = 0
HAVE_LCHOWN = 1
HAVE_LDEXPF = 1
HAVE_LINK = 1
HAVE_LINKAT = 1
HAVE_LOG10F = 1
HAVE_LOG10L = 1
HAVE_LOG1P = 1
HAVE_LOG1PF = 1
HAVE_LOG1PL = 1
HAVE_LOGBF = 1
HAVE_LOGBL = 1
HAVE_LOGF = 1
HAVE_LOGL = 1
HAVE_LONG_LONG_INT = 1
HAVE_MAX_ALIGN_T = 0
HAVE_MBRLEN = 1
HAVE_MBRTOWC = 1
HAVE_MBSINIT = 1
HAVE_MBSLEN = 0
HAVE_MBSNRTOWCS = 1
HAVE_MBSRTOWCS = 1
HAVE_MBTOWC = 1
HAVE_MEMCHR = 1
HAVE_MEMPCPY = 1
HAVE_MKDTEMP = 1
HAVE_MKOSTEMP = 1
HAVE_MKOSTEMPS = 1
HAVE_MKSTEMP = 1
HAVE_MKSTEMPS = 1
HAVE_MODFF = 1
HAVE_MODFL = 1
HAVE_MSVC_INVALID_PARAMETER_HANDLER = 0
HAVE_OPENAT = 1
HAVE_OS_H = 0
HAVE_PCLOSE = 1
HAVE_PIPE = 1
HAVE_PIPE2 = 1
HAVE_POPEN = 1
HAVE_POSIX_OPENPT = 1
HAVE_POSIX_SIGNALBLOCKING = 1
HAVE_POWF = 1
HAVE_PREAD = 1
HAVE_PTHREAD_SIGMASK = 1
HAVE_PTSNAME = 1
HAVE_PTSNAME_R = 1
HAVE_PWRITE = 1
HAVE_QSORT_R = 1
HAVE_RAISE = 1
HAVE_RANDOM = 1
HAVE_RANDOM_H = 1
HAVE_RANDOM_R = 1
HAVE_RAWMEMCHR = 1
HAVE_READLINK = 1
HAVE_READLINKAT = 1
HAVE_REALLOCARRAY = 1
HAVE_REALPATH = 1
HAVE_REMAINDER = 1
HAVE_REMAINDERF = 1
HAVE_RENAMEAT = 1
HAVE_RINT = 1
HAVE_RINTL = 1
HAVE_RPMATCH = 1
HAVE_SAME_LONG_DOUBLE_AS_DOUBLE = 0
HAVE_SECURE_GETENV = 1
HAVE_SETENV = 1
HAVE_SETHOSTNAME = 1
HAVE_SETSTATE = 1
HAVE_SIGACTION = 1
HAVE_SIGHANDLER_T = 0
HAVE_SIGINFO_T = 1
HAVE_SIGNED_SIG_ATOMIC_T = 1
HAVE_SIGNED_WCHAR_T = 0
HAVE_SIGNED_WINT_T = 1
HAVE_SIGSET_T = 1
HAVE_SINF = 1
HAVE_SINHF = 1
HAVE_SINL = 1
HAVE_SLEEP = 1
HAVE_SQRTF = 1
HAVE_SQRTL = 1
HAVE_STDINT_H = 1
HAVE_STPCPY = 1
HAVE_STPNCPY = 1
HAVE_STRCASESTR = 1
HAVE_STRCHRNUL = 1
HAVE_STRPBRK = 1
HAVE_STRSEP = 1
HAVE_STRTOD = 1
HAVE_STRTOLD = 1
HAVE_STRTOLL = 1
HAVE_STRTOULL = 1
HAVE_STRUCT_RANDOM_DATA = 1
HAVE_STRUCT_SIGACTION_SA_SIGACTION = 0
HAVE_STRVERSCMP = 1
HAVE_SYMLINK = 1
HAVE_SYMLINKAT = 1
HAVE_SYS_BITYPES_H = 0
HAVE_SYS_INTTYPES_H = 0
HAVE_SYS_LOADAVG_H = 0
HAVE_SYS_PARAM_H = 0
HAVE_SYS_TYPES_H = 1
HAVE_TANF = 1
HAVE_TANHF = 1
HAVE_TANL = 1
HAVE_TYPE_VOLATILE_SIG_ATOMIC_T = 1
HAVE_UNISTD_H = 1
HAVE_UNLINKAT = 1
HAVE_UNLOCKPT = 1
HAVE_UNSIGNED_LONG_LONG_INT = 1
HAVE_USLEEP = 1
HAVE_VASPRINTF = 1
HAVE_VDPRINTF = 1
HAVE_WCHAR_H = 1
HAVE_WCHAR_T = 1
HAVE_WCPCPY = 1
HAVE_WCPNCPY = 1
HAVE_WCRTOMB = 1
HAVE_WCSCASECMP = 1
HAVE_WCSCAT = 1
HAVE_WCSCHR = 1
HAVE_WCSCMP = 1
HAVE_WCSCOLL = 1
HAVE_WCSCPY = 1
HAVE_WCSCSPN = 1
HAVE_WCSDUP = 1
HAVE_WCSFTIME = 1
HAVE_WCSLEN = 1
HAVE_WCSNCASECMP = 1
HAVE_WCSNCAT = 1
HAVE_WCSNCMP = 1
HAVE_WCSNCPY = 1
HAVE_WCSNLEN = 1
HAVE_WCSNRTOMBS = 1
HAVE_WCSPBRK = 1
HAVE_WCSRCHR = 1
HAVE_WCSRTOMBS = 1
HAVE_WCSSPN = 1
HAVE_WCSSTR = 1
HAVE_WCSTOK = 1
HAVE_WCSWIDTH = 1
HAVE_WCSXFRM = 1
HAVE_WINSOCK2_H = 0
HAVE_WINT_T = 1
HAVE_WMEMCHR = 1
HAVE_WMEMCMP = 1
HAVE_WMEMCPY = 1
HAVE_WMEMMOVE = 1
HAVE_WMEMSET = 1
HAVE__BOOL = 1
HAVE__EXIT = 1
HEXVERSION = 0x001400
INCCROCO = 
INCGLIB = 
INCLUDE_NEXT = include_next
INCLUDE_NEXT_AS_FIRST_DIRECTIVE = include_next
INCTERMINFO = 
INCXML = 
INSTALL = /dev/env/DJDIR/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
ISINF_LIBM = 
ISNAND_LIBM = 
ISNANF_LIBM = 
ISNANL_LIBM = 
ISNAN_LIBM = 
LD = /dev/env/DJDIR/bin/ld
LDFLAGS = 
LIBCROCO = 
LIBGLIB = 
LIBGLIB_H =  glib.h glibconfig.h glib/ghash.h glib/glist.h glib/gprimes.h glib/gstrfuncs.h glib/gstring.h glib/gtypes.h
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTERMINFO = 
LIBTESTS_LIBDEPS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUNISTRING_UNISTR_H = unistr.h
LIBUNISTRING_UNITYPES_H = unitypes.h
LIBXML = 
LIBXML_H =  libxml/DOCBparser.h libxml/HTMLparser.h libxml/HTMLtree.h libxml/SAX2.h libxml/SAX.h libxml/c14n.h libxml/catalog.h libxml/chvalid.h libxml/debugXML.h libxml/dict.h libxml/encoding.h libxml/entities.h libxml/globals.h libxml/hash.h libxml/list.h libxml/nanoftp.h libxml/nanohttp.h libxml/parser.h libxml/parserInternals.h libxml/pattern.h libxml/relaxng.h libxml/schemasInternals.h libxml/schematron.h libxml/threads.h libxml/tree.h libxml/uri.h libxml/valid.h libxml/xinclude.h libxml/xlink.h libxml/xmlIO.h libxml/xmlautomata.h libxml/xmlerror.h libxml/xmlexports.h libxml/xmlmemory.h libxml/xmlmodule.h libxml/xmlreader.h libxml/xmlregexp.h libxml/xmlsave.h libxml/xmlschemas.h libxml/xmlschemastypes.h libxml/xmlstring.h libxml/xmlunicode.h libxml/xmlversion.h libxml/xmlwriter.h libxml/xpath.h libxml/xpathInternals.h libxml/xpointer.h
LIMITS_H = limits.h
LIPO = 
LN_S = cp -pf
LOG10_LIBM = 
LTLIBCROCO = 
LTLIBGLIB = 
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTLIBTERMINFO = 
LTLIBXML = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = /dev/env/DJDIR/bin/makeinfo --no-split --force
MANIFEST_TOOL = :
MKDIR_P = /dev/env/DJDIR/bin/mkdir -p
NAMESPACING = yes
NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = <errno.h>
NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = <fcntl.h>
NEXT_AS_FIRST_DIRECTIVE_FLOAT_H = 
NEXT_AS_FIRST_DIRECTIVE_LIMITS_H = <limits.h>
NEXT_AS_FIRST_DIRECTIVE_MATH_H = <math.h>
NEXT_AS_FIRST_DIRECTIVE_SIGNAL_H = <signal.h>
NEXT_AS_FIRST_DIRECTIVE_STDARG_H = 
NEXT_AS_FIRST_DIRECTIVE_STDDEF_H = <stddef.h>
NEXT_AS_FIRST_DIRECTIVE_STDINT_H = <stdint.h>
NEXT_AS_FIRST_DIRECTIVE_STDIO_H = <stdio.h>
NEXT_AS_FIRST_DIRECTIVE_STDLIB_H = <stdlib.h>
NEXT_AS_FIRST_DIRECTIVE_STRING_H = <string.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_TYPES_H = <sys/types.h>
NEXT_AS_FIRST_DIRECTIVE_UNISTD_H = <unistd.h>
NEXT_AS_FIRST_DIRECTIVE_WCHAR_H = <wchar.h>
NEXT_ERRNO_H = <errno.h>
NEXT_FCNTL_H = <fcntl.h>
NEXT_FLOAT_H = 
NEXT_LIMITS_H = <limits.h>
NEXT_MATH_H = <math.h>
NEXT_SIGNAL_H = <signal.h>
NEXT_STDARG_H = <stdarg.h>
NEXT_STDDEF_H = <stddef.h>
NEXT_STDINT_H = <stdint.h>
NEXT_STDIO_H = <stdio.h>
NEXT_STDLIB_H = <stdlib.h>
NEXT_STRING_H = <string.h>
NEXT_SYS_TYPES_H = <sys/types.h>
NEXT_UNISTD_H = <unistd.h>
NEXT_WCHAR_H = <wchar.h>
NM = /dev/env/DJDIR/bin/nm
NMEDIT = 
NO_CXX = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libtextstyle
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /dev/env/DJDIR/bin/perl
POW_LIBM = 
PRAGMA_COLUMNS = 
PRAGMA_SYSTEM_HEADER = #pragma GCC system_header
PTRDIFF_T_SUFFIX = 
RANLIB = /dev/env/DJDIR/bin/ranlib
RC = 
REPLACE_ACOSF = 0
REPLACE_ASINF = 0
REPLACE_ATAN2F = 0
REPLACE_ATANF = 0
REPLACE_BTOWC = 0
REPLACE_CALLOC = 0
REPLACE_CANONICALIZE_FILE_NAME = 0
REPLACE_CBRTF = 0
REPLACE_CBRTL = 0
REPLACE_CEIL = 0
REPLACE_CEILF = 0
REPLACE_CEILL = 0
REPLACE_CHOWN = 0
REPLACE_CLOSE = 0
REPLACE_COSF = 0
REPLACE_COSHF = 0
REPLACE_DPRINTF = 0
REPLACE_DUP = 0
REPLACE_DUP2 = 0
REPLACE_EXP2 = 0
REPLACE_EXP2L = 0
REPLACE_EXPF = 0
REPLACE_EXPL = 0
REPLACE_EXPM1 = 0
REPLACE_EXPM1F = 0
REPLACE_EXPM1L = 0
REPLACE_FABSL = 0
REPLACE_FACCESSAT = 0
REPLACE_FCHOWNAT = 0
REPLACE_FCLOSE = 0
REPLACE_FCNTL = 0
REPLACE_FDOPEN = 0
REPLACE_FFLUSH = 0
REPLACE_FLOOR = 0
REPLACE_FLOORF = 0
REPLACE_FLOORL = 0
REPLACE_FMA = 0
REPLACE_FMAF = 0
REPLACE_FMAL = 0
REPLACE_FMOD = 0
REPLACE_FMODF = 0
REPLACE_FMODL = 0
REPLACE_FOPEN = 0
REPLACE_FPRINTF = 0
REPLACE_FPURGE = 0
REPLACE_FREOPEN = 0
REPLACE_FREXP = 0
REPLACE_FREXPF = 0
REPLACE_FREXPL = 0
REPLACE_FSEEK = 0
REPLACE_FSEEKO = 0
REPLACE_FTELL = 0
REPLACE_FTELLO = 0
REPLACE_FTRUNCATE = 0
REPLACE_GETCWD = 0
REPLACE_GETDELIM = 0
REPLACE_GETDOMAINNAME = 0
REPLACE_GETDTABLESIZE = 0
REPLACE_GETGROUPS = 0
REPLACE_GETLINE = 0
REPLACE_GETLOGIN_R = 0
REPLACE_GETPAGESIZE = 0
REPLACE_GETPASS = 0
REPLACE_HUGE_VAL = 0
REPLACE_HYPOT = 0
REPLACE_HYPOTF = 0
REPLACE_HYPOTL = 0
REPLACE_ILOGB = 0
REPLACE_ILOGBF = 0
REPLACE_ILOGBL = 0
REPLACE_INITSTATE = 0
REPLACE_ISATTY = 0
REPLACE_ISFINITE = 0
REPLACE_ISINF = 0
REPLACE_ISNAN = 1
REPLACE_ITOLD = 0
REPLACE_LCHOWN = 0
REPLACE_LDEXPL = 0
REPLACE_LINK = 0
REPLACE_LINKAT = 0
REPLACE_LOG = 0
REPLACE_LOG10 = 0
REPLACE_LOG10F = 0
REPLACE_LOG10L = 0
REPLACE_LOG1P = 0
REPLACE_LOG1PF = 0
REPLACE_LOG1PL = 0
REPLACE_LOG2 = 0
REPLACE_LOG2F = 0
REPLACE_LOG2L = 0
REPLACE_LOGB = 0
REPLACE_LOGBF = 0
REPLACE_LOGBL = 0
REPLACE_LOGF = 0
REPLACE_LOGL = 0
REPLACE_LSEEK = 0
REPLACE_MALLOC = 0
REPLACE_MBRLEN = 0
REPLACE_MBRTOWC = 0
REPLACE_MBSINIT = 0
REPLACE_MBSNRTOWCS = 0
REPLACE_MBSRTOWCS = 0
REPLACE_MBSTATE_T = 0
REPLACE_MBTOWC = 0
REPLACE_MEMCHR = 1
REPLACE_MEMMEM = 0
REPLACE_MKSTEMP = 0
REPLACE_MODF = 0
REPLACE_MODFF = 0
REPLACE_MODFL = 0
REPLACE_NAN = 0
REPLACE_NULL = 0
REPLACE_OBSTACK_PRINTF = 0
REPLACE_OPEN = 0
REPLACE_OPENAT = 0
REPLACE_PERROR = 0
REPLACE_POPEN = 0
REPLACE_PREAD = 0
REPLACE_PRINTF = 0
REPLACE_PTHREAD_SIGMASK = 0
REPLACE_PTSNAME = 0
REPLACE_PTSNAME_R = 0
REPLACE_PUTENV = 0
REPLACE_PWRITE = 0
REPLACE_QSORT_R = 0
REPLACE_RAISE = 0
REPLACE_RANDOM = 0
REPLACE_RANDOM_R = 0
REPLACE_READ = 0
REPLACE_READLINK = 0
REPLACE_READLINKAT = 0
REPLACE_REALLOC = 0
REPLACE_REALPATH = 0
REPLACE_REMAINDER = 0
REPLACE_REMAINDERF = 0
REPLACE_REMAINDERL = 0
REPLACE_REMOVE = 0
REPLACE_RENAME = 0
REPLACE_RENAMEAT = 0
REPLACE_RINTL = 0
REPLACE_RMDIR = 0
REPLACE_ROUND = 0
REPLACE_ROUNDF = 0
REPLACE_ROUNDL = 0
REPLACE_SETENV = 0
REPLACE_SETSTATE = 0
REPLACE_SIGNBIT = 0
REPLACE_SIGNBIT_USING_GCC = 0
REPLACE_SINF = 0
REPLACE_SINHF = 0
REPLACE_SLEEP = 0
REPLACE_SNPRINTF = 0
REPLACE_SPRINTF = 0
REPLACE_SQRTF = 0
REPLACE_SQRTL = 0
REPLACE_STDIO_READ_FUNCS = 0
REPLACE_STDIO_WRITE_FUNCS = 0
REPLACE_STPNCPY = 0
REPLACE_STRCASESTR = 0
REPLACE_STRCHRNUL = 0
REPLACE_STRDUP = 0
REPLACE_STRERROR = 1
REPLACE_STRERROR_R = 0
REPLACE_STRNCAT = 0
REPLACE_STRNDUP = 0
REPLACE_STRNLEN = 0
REPLACE_STRSIGNAL = 0
REPLACE_STRSTR = 0
REPLACE_STRTOD = 0
REPLACE_STRTOK_R = 0
REPLACE_STRTOLD = 0
REPLACE_SYMLINK = 0
REPLACE_SYMLINKAT = 0
REPLACE_TANF = 0
REPLACE_TANHF = 0
REPLACE_TMPFILE = 0
REPLACE_TRUNC = 0
REPLACE_TRUNCATE = 0
REPLACE_TRUNCF = 0
REPLACE_TRUNCL = 0
REPLACE_TTYNAME_R = 0
REPLACE_UNLINK = 0
REPLACE_UNLINKAT = 0
REPLACE_UNSETENV = 0
REPLACE_USLEEP = 0
REPLACE_VASPRINTF = 0
REPLACE_VDPRINTF = 0
REPLACE_VFPRINTF = 0
REPLACE_VPRINTF = 0
REPLACE_VSNPRINTF = 0
REPLACE_VSPRINTF = 0
REPLACE_WCRTOMB = 0
REPLACE_WCSFTIME = 0
REPLACE_WCSNRTOMBS = 0
REPLACE_WCSRTOMBS = 0
REPLACE_WCSWIDTH = 0
REPLACE_WCTOB = 0
REPLACE_WCTOMB = 0
REPLACE_WCWIDTH = 0
REPLACE_WRITE = 0
SED = /dev/env/DJDIR/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIG_ATOMIC_T_SUFFIX = 
SIZE_T_SUFFIX = ul
STDARG_H = 
STDBOOL_H = 
STDDEF_H = stddef.h
STDINT_H = stdint.h
STRIP = /dev/env/DJDIR/bin/strip
TEXI2DVI = texi2dvi
UNDEFINE_STRTOK_R = 0
UNISTD_H_HAVE_WINSOCK2_H = 0
UNISTD_H_HAVE_WINSOCK2_H_AND_USE_SOCKETS = 0
VERSION = 0.20
WCHAR_T_SUFFIX = 
WINDOWS_64_BIT_OFF_T = 0
WINDOWS_STAT_INODES = 0
WINT_T_SUFFIX = 
abs_builddir = ./tests
abs_srcdir = ../.././../libtextstyle/tests
abs_top_builddir = .
abs_top_srcdir = ../.././../libtextstyle
ac_ct_AR = /dev/env/DJDIR/bin/ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = _
am__quote = 
am__tar = ${AMTAR} chof - --owner=root --group=root "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = i786-pc-msdosdjgpp
build_alias = 
build_cpu = i786
build_os = msdosdjgpp
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i786-pc-msdosdjgpp
host_alias = 
host_cpu = i786
host_os = msdosdjgpp
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} .././../libtextstyle/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lts_LIBOBJS =  error.o isnand.o isnanf.o isnanl.o memchr.o obstack.o strerror.o strerror-override.o tparm.o tputs.o
lts_LTLIBOBJS =  error.lo isnand.lo isnanf.lo isnanl.lo memchr.lo obstack.lo strerror.lo strerror-override.lo tparm.lo tputs.lo
ltstests_LIBOBJS = 
ltstests_LTLIBOBJS = 
ltstests_WITNESS = IN_LIBTEXTSTYLE_GNULIB_TESTS
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /dev/env/DJDIR
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = ../.././../libtextstyle/tests
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ../.././../libtextstyle

# Rules generated and collected by gnulib-tool.
AUTOMAKE_OPTIONS = 1.11 foreign 1.13 subdir-objects color-tests
SUBDIRS = .
TESTS = test-term-ostream-xterm.sh

# This must be the last thing that gets added to TESTS_ENVIRONMENT.
TESTS_ENVIRONMENT = EXEEXT='.exe' srcdir='$(srcdir)' \
	srcdir='$(srcdir)' $(SHELL) $(top_srcdir)/build-aux/run-test \
	'$(CHECKER)'
noinst_HEADERS = 
noinst_LIBRARIES = 
check_LIBRARIES = libtests.a
EXTRA_DIST = _Noreturn.h arg-nonnull.h cxxdefs.h unused-parameter.h \
	warn-on-use.h test-term-ostream.c test-term-ostream-xterm.sh \
	test-term-ostream-xterm-r6.out \
	test-term-ostream-xterm-xf86-v32.out \
	test-term-ostream-xterm-basic.out \
	test-term-ostream-xterm-basic-italic.out \
	test-term-ostream-xterm-freebsd101.out \
	test-term-ostream-xterm-freebsd-italic.out \
	test-term-ostream-xterm-8bit.out \
	test-term-ostream-xterm-linux-debian.out \
	test-term-ostream-xterm-linux-mandriva.out \
	test-term-ostream-xterm-netbsd3.out \
	test-term-ostream-xterm-solaris10.out \
	test-term-ostream-xterm-aix51.out \
	test-term-ostream-xterm-osf51.out \
	test-term-ostream-xterm-irix65.out \
	test-term-ostream-xterm-mingw.out \
	test-term-ostream-xterm-16color.out \
	test-term-ostream-xterm-88color.out \
	test-term-ostream-xterm-256color.out
BUILT_SOURCES = 
SUFFIXES = 
MOSTLYCLEANFILES = core *.stackdump
MOSTLYCLEANDIRS = 
CLEANFILES = 
DISTCLEANFILES = 
MAINTAINERCLEANFILES = 
AM_CPPFLAGS = \
  -DIN_LIBTEXTSTYLE_GNULIB_TESTS=1 \
  -I. -I$(srcdir) \
  -I.. -I$(srcdir)/.. \
  -I../lib -I$(srcdir)/../lib

LDADD = libtests.a ../lib/libtextstyle.la libtests.a $(LIBTESTS_LIBDEPS)
libtests_a_SOURCES = dummy.c
libtests_a_LIBADD = $(ltstests_LIBOBJS)
libtests_a_DEPENDENCIES = $(ltstests_LIBOBJS)
EXTRA_libtests_a_SOURCES = 
AM_LIBTOOLFLAGS = --preserve-dup-deps

# Because this Makefile snippet defines a variable used by other
# gnulib Makefile snippets, it must be present in all makefiles that
# need it. This is ensured by the applicability 'all' defined above.
_NORETURN_H = $(srcdir)/_Noreturn.h

# Because this Makefile snippet defines a variable used by other
# gnulib Makefile snippets, it must be present in all makefiles that
# need it. This is ensured by the applicability 'all' defined above.
ARG_NONNULL_H = $(srcdir)/arg-nonnull.h

# Because this Makefile snippet defines a variable used by other
# gnulib Makefile snippets, it must be present in all makefiles that
# need it. This is ensured by the applicability 'all' defined above.
CXXDEFS_H = $(srcdir)/cxxdefs.h

# Because this Makefile snippet defines a variable used by other
# gnulib Makefile snippets, it must be present in all makefiles that
# need it. This is ensured by the applicability 'all' defined above.
UNUSED_PARAMETER_H = $(srcdir)/unused-parameter.h

# Because this Makefile snippet defines a variable used by other
# gnulib Makefile snippets, it must be present in all makefiles that
# need it. This is ensured by the applicability 'all' defined above.
WARN_ON_USE_H = $(srcdir)/warn-on-use.h
test_term_ostream_LDADD = $(LIBTERMCAP) $(LDADD)

# Ensure that ../lib/config.h is seen before ../config.h.
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/lib -I$(top_builddir)

# For debugging memory leaks and memory allocation bugs.
# You should build with --disable-shared when using valgrind.
CHECKER = 
#CHECKER = valgrind --tool=memcheck --suppressions=$(srcdir)/../lib/memchr.valgrind --num-callers=20 --leak-check=yes --leak-resolution=high --show-reachable=yes
#CHECKER = valgrind --tool=massif --format=html --depth=10 --alloc-fn=xmalloc --alloc-fn=xrealloc --stacks=no
CHECKER_END_OF_COMMENTS = 
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.gnulib $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign tests/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(srcdir)/Makefile.gnulib $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

clean-checkLIBRARIES:
	-test -z "$(check_LIBRARIES)" || rm -f $(check_LIBRARIES)

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

libtests.a: $(libtests_a_OBJECTS) $(libtests_a_DEPENDENCIES) $(EXTRA_libtests_a_DEPENDENCIES) 
	$(AM_V_at)-rm -f libtests.a
	$(AM_V_AR)$(libtests_a_AR) libtests.a $(libtests_a_OBJECTS) $(libtests_a_LIBADD)
	$(AM_V_at)$(RANLIB) libtests.a

test-term-ostream$(EXEEXT): $(test_term_ostream_OBJECTS) $(test_term_ostream_DEPENDENCIES) $(EXTRA_test_term_ostream_DEPENDENCIES) 
	@rm -f test-term-ostream$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(test_term_ostream_OBJECTS) $(test_term_ostream_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *_tab.c

#include ./$(DEPDIR)/dummy.Po # am--include-marker
#include ./$(DEPDIR)/test-term-ostream.Po # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.c.o:
#	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
#	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(AM_V_CC)$(COMPILE) -c -o $@ $<

.c.obj:
#	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
#	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(AM_V_CC)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
#	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
#	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
#	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf _libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) MAKE_DXE3="$(MAKE_DXE3)" $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) MAKE_DXE3="$(MAKE_DXE3)" "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

# Recover from deleted '.trs' file; this should ensure that
# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
# to avoid problems with "make -n".
.log.trs:
	rm -f $< $@
	$(MAKE) $(AM_MAKEFLAGS) $<

# Leading 'am--fnord' is there to ensure the list of targets does not
# expand to empty, as could happen e.g. with make check TESTS=''.
am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
am--force-recheck:
	@:

$(TEST_SUITE_LOG): $(TEST_LOGS)
	@$(am__set_TESTS_bases); \
	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
	redo_bases=`for i in $$bases; do \
	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
	            done`; \
	if test -n "$$redo_bases"; then \
	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
	  if $(am__make_dryrun); then :; else \
	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
	  fi; \
	fi; \
	if test -n "$$am__remaking_logs"; then \
	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
	       "recursion detected" >&2; \
	elif test -n "$$redo_logs"; then \
	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
	fi; \
	if $(am__make_dryrun); then :; else \
	  st=0;  \
	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
	  for i in $$redo_bases; do \
	    test -f $$i.trs && test -r $$i.trs \
	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
	    test -f $$i.log && test -r $$i.log \
	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
	  done; \
	  test $$st -eq 0 || exit 1; \
	fi
	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
	ws='[ 	]'; \
	results=`for b in $$bases; do echo $$b.trs; done`; \
	test -n "$$results" || results=/dev/null; \
	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
	  success=true; \
	else \
	  success=false; \
	fi; \
	br='==================='; br=$$br$$br$$br$$br; \
	result_count () \
	{ \
	    if test x"$$1" = x"--maybe-color"; then \
	      maybe_colorize=yes; \
	    elif test x"$$1" = x"--no-color"; then \
	      maybe_colorize=no; \
	    else \
	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
	    fi; \
	    shift; \
	    desc=$$1 count=$$2; \
	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
	      color_start=$$3 color_end=$$std; \
	    else \
	      color_start= color_end=; \
	    fi; \
	    echo "$${color_start}# $$desc $$count$${color_end}"; \
	}; \
	create_testsuite_report () \
	{ \
	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
	  result_count $$1 "PASS: " $$pass  "$$grn"; \
	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
	  result_count $$1 "FAIL: " $$fail  "$$red"; \
	  result_count $$1 "XPASS:" $$xpass "$$red"; \
	  result_count $$1 "ERROR:" $$error "$$mgn"; \
	}; \
	{								\
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
	    $(am__rst_title);						\
	  create_testsuite_report --no-color;				\
	  echo;								\
	  echo ".. contents:: :depth: 2";				\
	  echo;								\
	  for b in $$bases; do echo $$b; done				\
	    | $(am__create_global_log);					\
	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
	if $$success; then						\
	  col="$$grn";							\
	 else								\
	  col="$$red";							\
	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
	fi;								\
	echo "$${col}$$br$${std}"; 					\
	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
	echo "$${col}$$br$${std}"; 					\
	create_testsuite_report --maybe-color;				\
	echo "$$col$$br$$std";						\
	if $$success; then :; else					\
	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
	  fi;								\
	  echo "$$col$$br$$std";					\
	fi;								\
	$$success || exit 1

check-TESTS: $(check_PROGRAMS) $(check_LIBRARIES)
	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
	exit $$?;
recheck: all $(check_PROGRAMS) $(check_LIBRARIES)
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@set +e; $(am__set_TESTS_bases); \
	bases=`for i in $$bases; do echo $$i; done \
	         | $(am__list_recheck_tests)` || exit 1; \
	log_list=`for i in $$bases; do echo $$i.log; done`; \
	log_list=`echo $$log_list`; \
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
	        am__force_recheck=am--force-recheck \
	        TEST_LOGS="$$log_list"; \
	exit $$?
test-term-ostream-xterm.sh.log: test-term-ostream-xterm.sh
	@p='test-term-ostream-xterm.sh'; \
	b='test-term-ostream-xterm.sh'; \
	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
.test.log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)
.test$(EXEEXT).log:
	@p='$<'; \
	$(am__set_b); \
	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
	--log-file $$b.log --trs-file $$b.trs \
	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
	"$$tst" $(AM_TESTS_FD_REDIRECT)

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_LIBRARIES)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(PROGRAMS) $(LIBRARIES) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-recursive

clean-am: clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local clean-noinstLIBRARIES \
	clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-recursive
		-rm -f ./$(DEPDIR)/dummy.Po
	-rm -f ./$(DEPDIR)/test-term-ostream.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-local distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
		-rm -f ./$(DEPDIR)/dummy.Po
	-rm -f ./$(DEPDIR)/test-term-ostream.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool mostlyclean-local

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am:

.MAKE: $(am__recursive_targets) all check check-am install install-am \
	install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
	am--depfiles check check-TESTS check-am clean \
	clean-checkLIBRARIES clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local clean-noinstLIBRARIES \
	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-local distclean-tags distdir dvi dvi-am html html-am \
	info info-am install install-am install-data install-data-am \
	install-dvi install-dvi-am install-exec install-exec-am \
	install-html install-html-am install-info install-info-am \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-local pdf \
	pdf-am ps ps-am recheck tags tags-am uninstall uninstall-am

.PRECIOUS: Makefile


# Clean up after Solaris cc.
clean-local:
	rm -rf SunWS_cache

mostlyclean-local: mostlyclean-generic
	@for dir in '' $(MOSTLYCLEANDIRS); do \
	  if test -n "$$dir" && test -d $$dir; then \
	    echo "rmdir $$dir"; rmdir $$dir; \
	  fi; \
	done; \
	:

# Remove _deps directories creates by 'configure'.
# I would say that this left-over is an Automake 1.16.1 bug.
distclean-local:
	rm -rf $(DEPDIR) */$(DEPDIR)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
